LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XFrameLoaderQuery Interface Referencepublished

use service FrameLoaderFactory instead of this More...

`import"XFrameLoaderQuery.idl";`

Inheritance diagram for XFrameLoaderQuery:

## Public Member Functions
sequence< string > | getAvailableFilterNames ()
| use member com::sun::star::container::XNameAccess::getElementNames() provided by service FrameLoaderFactory instead of this More...
sequence< ::com::sun::star::beans::PropertyValue > | getLoaderProperties ([in] string sFilterName)
| use member com::sun::star::container::XNameAccess::getByName() provided by service FrameLoaderFactory instead of this More...
string | searchFilter ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > seqArguments)
| use member com::sun::star::container::XContainerQuery provided by service FrameLoaderFactory instead of this More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

use service FrameLoaderFactory instead of this

Deprecated:

## Member Function Documentation

## ◆ getAvailableFilterNames()

sequence< string > getAvailableFilterNames | ( |  | ) |

use member com::sun::star::container::XNameAccess::getElementNames() provided by service FrameLoaderFactory instead of this

Deprecated:

## ◆ getLoaderProperties()

sequence< ::com::sun::star::beans::PropertyValue > getLoaderProperties | ( | [in] string | sFilterName | ) |

use member com::sun::star::container::XNameAccess::getByName() provided by service FrameLoaderFactory instead of this

Deprecated:

## ◆ searchFilter()

string searchFilter | ( | [in] string | sURL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | seqArguments
| ) |  |

use member com::sun::star::container::XContainerQuery provided by service FrameLoaderFactory instead of this

Deprecated:

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XFrameLoaderQuery.idl